class ColorsController < ApplicationController
  layout 'test' if MagicNumber['test_layout']
  before_filter :authenticate_admin!, :only => [:list]
  
  # GET /colors
  # GET /colors.json
  def index
    @page = PanelColor.page params[:page]
    @page_size = PanelColor.page_size params[:page_size]
    @colors = Color.list(@page, @page_size)

    respond_to do |format|
      format.html # index.html.erb
      format.json { render json: @colors.to_json(Color.list_json_opt) }
    end
  end
  
  def list
    @colors = Color.all

    respond_to do |format|
      format.html { render layout: 'system' }# index.html.erb
      format.json { render json: @colors }
    end
  end
end
